Browse Source

Bash-script push-update complete and add to track

master
Alexander Demidov 9 years ago
parent
commit
4c7cd7c876
  1. 3
      .gitignore
  2. 178
      CHANGELOG.md
  3. 69
      push-update.sh

3
.gitignore

@ -1,3 +1,2 @@
.idea
atlassian-ide-plugin.xml
push-update.sh
atlassian-ide-plugin.xml

178
CHANGELOG.md

@ -0,0 +1,178 @@
Changelog
=========
0.0.01 (2014-01-13)
-------------------
- Bash-script push-update complete and add to track. [Alexander Demidov]
- Свойство owner к ImageCollection. [Alexander Demidov]
- Свойство owner. [Alexander Demidov]
- Корректировка в связи с последними
изменениями [Alexander Demidov]
- Попытка исправить утечку оперативной
памяти N2. [Alexander Demidov]
- Убрано установка прав доступа на
загруженный файл в 664. [Alexander Demidov]
- Merge tag 'temp' [Alexander Demidov]
- Убрано ручное подключение GreagwarImage.
[Alexander Demidov]
- Merge branch 'master' of dimti.ru:lib/Image. [Alexander Demidov]
- Correct upload with python pil paste. Add Image::getWatermark()
[Alexander Demidov]
- MIRSPORTA-73 - Качество картинок. Ресамплинг
Добавление ТОДО к Image/File.class. [Alexander Demidov]
- MIRSPORTA-73 - Качество картинок. Ресамплинг
Попытка избваиться от утечки памяти
[Alexander Demidov]
- Merge branch 'master' of dimti.ru:lib/Image. [Alexander Demidov]
- Добавление поддержки в Python PIL указание
только одной из сторон для ресайзинга.
[Alexander Demidov]
- Image::getClassName и проверка на
существование изображения по
параметру error. [Alexander Demidov]
- Merge branch 'master' of dimti.ru:lib/Image. [Alexander Demidov]
- Add support pil_options. [Alexander Demidov]
- PHP-Doc. [Alexander Demidov]
- Изменение .gitignore. [Alexander Demidov]
- MIRSPORTA-73 - Качество картинок. Ресамплинг
Изменение прав доступа (запись для
группы) на файл, сохраняемый при
загрузке изображения [Alexander Demidov]
- Merge branch 'master' of dimti.ru:lib/Image. [Alexander Demidov]
- MIRSPORTA-73 - Качество картинок. Ресамплинг
[Alexander Demidov]
- Add _.gif return from getWebName if image not exists. [Alexander
Demidov]
- Добавление метода Upload.brightnessContrast().
Добавление метода Upload.getFilePath(). [Alexander
Demidov]
- Добавление к последнему коммиту [Alexander
Demidov]
- Добавлен параметр $force_create в метод
File.getImageVariant(). Значение по-умолчанию -
false. [Alexander Demidov]
- Использование Config::get(PATH_WEB_ROOT) при
создании варианта изображения в Upload.
[Alexander Demidov]
- Автоматическое создание вариантов
изображений. [Alexander Demidov]
- Изменение алгоритма ресайзинга
(правильный вариант). [Alexander Demidov]
- Качество jpeg по-умолчанию - 95. Изменен
алгоритм ресайзинга (добавление белых
полосок) - отключен для
изображений-оргиналов. (не проверено)
[Alexander Demidov]
- Убрано TODO из класса File.getWebName().
Добавлена проверка на существование
файла и соответсвующее разделение
логики в метода получения пути к файлу
File.getWebName(). [Alexander Demidov]
- Path to dir image cache Upload::dir_image_cache set to public.
[Alexander Demidov]
- Исправление ошибки связанной с
неправильной инициализацией варианта
изображения. [Alexander Demidov]
- Рефакторинг. Добавлении поддержки
параметров, задающих максимально
допустимые размеры изображения.
Изменены параметры для ресайзинга
изображений (на этот счет добавлено
ТОДО). [Alexander Demidov]
- Добавление комментария к методу
getIsNoEmpty() и перемещение этого метода в
класс File. [Alexander Demidov]
- Корректировка использования логгера -
если логгинг отключен, тогда вывод
сообщений об ошибках выводится в
стандартный поток вывода ошибок в php
(если поток не переопределен
конфигурационной переменной ErrorStream) -
пример кода взят с CliController. [Alexander Demidov]
- Добавлено поддержка указания
качества результирующего изображения
в Upload.class. [Alexander Demidov]
- Добавление ТОДО в ImageCollection. [Alexander Demidov]
- Merge branch 'master' of dimti.ru:lib/Image. [Alexander Demidov]
- Добавлено ТОДО [Alexander Demidov]
- Добавлен метод imageMinCheckSize. [Alexander Demidov]
- Удалено использование ErrorMessage -
привязан свой логгер [Alexander Demidov]
- Refactoring use PATH_WEB_ROOT (move to main config). Remove use save
originals. Add PHP-Doc comment into File class. [Alexander Demidov]
- Set protected static $sizes default value - array(). Correct to
getting sizes use with static:: [Alexander Demidov]
- Add feature - save original image. Allow create empty instance of
ImageCollection. [Alexander Demidov]
- Fix bug with wrong if statement. Add TODO with use log error message.
[Alexander Demidov]
- Allow File::getInstance() with empty data. [Alexander Demidov]
- Add symbolic function getVariant into Image class. [Alexander Demidov]
- Fix bug in File class with wrong parent:: statement. [Alexander
Demidov]
- Refactoring with use of separate to sub classes from Image. Add
FileHelper to trying toString conversion. Add ImageCollection (not
tested work). [Alexander Demidov]
- Modified detect of empty data in File.getInstance(). Add
SIZE_INSTRUCTION into Image class. [Alexander Demidov]
- Extend Image class. Separate to ImageVariant. Remove _is_new_record.
[Alexander Demidov]
- Add use PATH_ROOT. Refactoring. Some fixes for checking file_exists,
is_read, is_file in UploadHelper. [Alexander Demidov]
- Add Image, Upload, UploadHelper. [Alexander Demidov]

69
push-update.sh

@ -0,0 +1,69 @@
#!/bin/sh
PATH_LIB='/lib/Image'
array=('/var/www/10ballov','/var/www/predelanet','/var/www/zelenoemore','/var/www/d753_common')
if [ ! -a CHANGELOG.md ]
then
echo 'File CHANGELOG.md not exists.'
exit 1
fi
if [ test -n CHANGELOG.md ]
then
echo 'CHANGELOG.md is empty.'
exit 1
fi
git diff-index --quiet HEAD --
REPO_CHANGED=`echo $?`
if [ $REPO_CHANGED ]
then
echo 'Please commit all changes in repository.'
exit 1
fi
VERSION_PREVIOUS=`sed -n '4,4p' CHANGELOG.md | cut -d "(" -f1`
if [ `git rev-parse ${VERSION_PREVIOUS}` != `git rev-parse HEAD` ]
then
VERSION=`echo ${VERSION_PREVIOUS} | awk -F. -v OFS=. 'NF==1{print ++$NF}; NF>1{if(length($NF+1)>length($NF))$(NF-1)++; $NF=sprintf("%0*d", length($NF), ($NF+1)%(10^length($NF))); print}`
gitchangelog > CHANGELOG.md &&
git add CHANGELOG.md &&
git commit -m "Update CHANGELOG.md on ${VERSION}" &&
git tag $VERSION &&
git push --tags
else
VERSION=$VERSION_PREVIOUS
fi
git push > /dev/null || exit 1
MESSAGE="Update ${PATH_LIB} on ${VERSION}"
CURRENT_DIR=`pwd`
for project in "${array[@]}"
do
echo "Update lib for ${i}...\n"
(cd "${project}${PATH_LIB}" &&
git fetch > /dev/null &&
git checkout $VERSION > /dev/null) ||
(echo "Failed to checkout lib on tag ${VERSION}\n" &&
exit 1)
cd "${project}"
git diff-index --quiet HEAD "${PATH_LIB#'/'}"
if [ `echo $?` ]
then
(git reset > /dev/null
git add "${PATH_LIB#'/'}" > /dev/null &&
git commit -m $MESSAGE > /dev/null) ||
(echo "Failed to update lib for ${project}\n" &&
exit 1)
if [ $project == "/var/www/d753_common" ]
then
(git push origin master > /dev/null &&
cd /var/www/d753/ && ./merge-from-master.sh > /dev/null
cd /var/www/d753_10ballov/ && ./merge-from-master.sh > /dev/null) ||
(echo "Failed to update dependency d753 branches... Please resolve that problem by hand\n" &&
exit 1)
fi
else
echo "Already update\n"
fi
done
echo "All operations succeed\n"
exit 0
Loading…
Cancel
Save